# Задача 10. Шифр Цезаря (сделайте по желанию)
# Юлий Цезарь использовал свой способ шифрования текста. Каждая буква заменялась на следующую по алфавиту через K
# позиций по кругу. Если взять русский алфавит и k = 3, то в слове, которое мы хотим зашифровать,
# буква А станет буквой Г, Б станет Д и так далее. Пользователь вводит сообщение, а также значение сдвига.
# Напишите программу, которая зашифрует это сообщение при помощи шифра Цезаря.
# Пример:
# Введите сообщение: это питон
# Введите сдвиг: 3
# Зашифрованное сообщение: ахс тлхср
# # проверку ввода не делел так как не просили))

alphabet = 'абвгдеёжзийклмнопрстуфхцчшщъыьэюя'

text = list(input('Введите сообщение: '))
shift_step = int(input('Сдвиг: '))

code_alphabet = [alphabet[i-shift_step] for i in range(len(alphabet))]

code_text = [alphabet[code_alphabet.index(i_let)] if i_let in alphabet else ' ' for i_let in text]

print('Зашифрованное сообщение: ', end='')
for i_let in code_text:
    print(i_let, end='')
